function Phase_Constante
fprintf('\n--- Effet du remplacement de la phase de la TF par une constante ---\n');
img=input ('\n* Votre image  ? ','s');
if or(exist(img,'file') == 0, isempty(img))
fprintf('Can''t find ''%s''. \n',img);
end

a = imread(img);

[row,col]=size(a);

A=fft2(a,row,col); %2d FT 

MagA=abs(A); %magnitude 

PhaseA=1; %Phase is replaced by a constant

cp = sqrt(-1); %imaginary component

h1 = MagA.*exp(cp*PhaseA); 

Inverse=ifft2(h1); 

Inverse = fftshift(Inverse); %center the spectrum for visualisation

subplot(1,2,1)
 imshow(a);
 title ( "Original" );
subplot(1,2,2)
 colormap(gray(256));
 image(real(Inverse) - 20);
 title ( "Phase Constante" );
